import os
import json
import datetime
from flask import Flask, url_for, redirect, \
    render_template, session, request, send_from_directory
from flask_sqlalchemy import SQLAlchemy
from flask_login import LoginManager, login_required, login_user, \
    logout_user, current_user, UserMixin
from requests_oauthlib import OAuth2Session
from requests.exceptions import HTTPError
from flask import abort
from flask_auth.config import *
from sqlite3 import OperationalError

config_obj = config[CONF_MODE]

"""APP creation and configuration"""
app = Flask(__name__)
app.config.from_object(config_obj)
db = SQLAlchemy(app)

login_manager = LoginManager(app)
login_manager.login_view = "login"
login_manager.session_protection = "strong"

from flask_auth.models import User


@login_manager.user_loader
def load_user(user_id):
    return User.query.get(int(user_id))
""" OAuth Session creation """

import flask_auth.views
from flask_auth.projects import fuel_view, mos_view, mosk_view, glossary_view, mcp_view, cc_view, docker_view, welcome_view
