from flask_auth import app
from flask_auth.functions import main, name, name_master, name_master_pth


@app.route('/mcp/')
def route_mcp_main():
    return main.main('route_mcp_q4_18')


@app.route('/mcp/0.5/', defaults={'path': ''})
@app.route('/mcp/0.5/<path:path>')
def route_mcp_05(path):
    return name_master.name_master('mcp', '0.5', path)


#add for PROD-12490
#@app.route('/mcp/0.5/<path>')
def route_mcp_05_pth(path):
    return name_master_pth.name_master_pth('route_mcp_05', 'mcp', '0.5', path, True)


@app.route('/mcp/master/', defaults={'path': ''})
@app.route('/mcp/master/<path:path>')
def route_mcp_master(path):
    return name_master.name_master('mcp', 'master', path)


#add for PROD-12490
@app.route('/mcp/master/<path>')
def route_mcp_master_pth(path):
    return name_master_pth.name_master_pth('route_mcp_master', 'mcp', 'master', path, True)


#add for PROD-13621
@app.route('/mcp/latest/', defaults={'path': ''})
@app.route('/mcp/latest/<path:path>')
def route_mcp_latest(path):
    return name.name('mcp/latest/', path)


@app.route('/mcp/latest/<path>')
def route_mcp_latest_pth(path):
    return name_master_pth.name_master_pth('route_mcp_latest', 'mcp', 'latest', path)


@app.route('/mcp/1.0/', defaults={'path': ''})
@app.route('/mcp/1.0/<path:path>')
def route_mcp_10(path):
    return name.name('mcp/1.0/', path)


#was commented due to loop redirect PROD-12223
#uncomment for PROD-12490
@app.route('/mcp/1.0/<path>')
def route_mcp_10_pth(path):
    return name_master_pth.name_master_pth('route_mcp_10', 'mcp', '1.0', path)


#Add for prod https://mirantis.jira.com/browse/PROD-12225
@app.route('/mcp/q3-17/', defaults={'path': ''})
@app.route('/mcp/q3-17/<path:path>')
def route_mcp_q3_17(path):
    return name.name('mcp/q3-17/', path)


@app.route('/mcp/q3-17/<path>')
def route_mcp_q3_17_pth(path):
    return name_master_pth.name_master_pth('route_mcp_q3_17', 'mcp', 'q3-17', path)


#Publish documentation from from Q4 2017
@app.route('/mcp/q4-17/', defaults={'path': ''})
@app.route('/mcp/q4-17/<path:path>')
def route_mcp_q4_17(path):
    return name.name('mcp/q4-17/', path)


@app.route('/mcp/q4-17/<path>')
def route_mcp_q4_17_pth(path):
    return name_master_pth.name_master_pth('route_mcp_q4_17', 'mcp', 'q4-17', path)


#Publish documentation from from Q1 2018
#https://mirantis.jira.com/browse/19612
@app.route('/mcp/q1-18/', defaults={'path': ''})
@app.route('/mcp/q1-18/<path:path>')
def route_mcp_q1_18(path):
    return name.name('mcp/q1-18/', path)


@app.route('/mcp/q1-18/<path>')
def route_mcp_q1_18_pth(path):
    return name_master_pth.name_master_pth('route_mcp_q1_18', 'mcp', 'q1-18', path)


#Publish documentation from from Q2 2018
#https://mirantis.jira.com/browse/PROD-21804
@app.route('/mcp/q2-18/', defaults={'path': ''})
@app.route('/mcp/q2-18/<path:path>')
def route_mcp_q2_18(path):
    return name.name('mcp/q2-18/', path)


@app.route('/mcp/q2-18/<path>')
def route_mcp_q2_18_pth(path):
    return name_master_pth.name_master_pth('route_mcp_q2_18', 'mcp', 'q2-18', path)


#Publish documentation from from Q3 2018
#https://mirantis.jira.com/browse/PROD-23392
@app.route('/mcp/q3-18/', defaults={'path': ''})
@app.route('/mcp/q3-18/<path:path>')
def route_mcp_q3_18(path):
    return name.name('mcp/q3-18/', path)


@app.route('/mcp/q3-18/<path>')
def route_mcp_q3_18_pth(path):
    return name_master_pth.name_master_pth('route_mcp_q3_18', 'mcp', 'q3-18', path)

#Publish documentation from from Q4 2018
#https://mirantis.jira.com/browse/PROD-25458
@app.route('/mcp/q4-18/', defaults={'path': ''})
@app.route('/mcp/q4-18/<path:path>')
def route_mcp_q4_18(path):
    return name.name('mcp/q4-18/', path)


@app.route('/mcp/q4-18/<path>')
def route_mcp_q4_18_pth(path):
    return name_master_pth.name_master_pth('route_mcp_q4_18', 'mcp', 'q4-18', path)
